[android-components](../../index.md) / [mozilla.components.concept.sync](../index.md) / [OAuthAccount](index.md) / [deviceConstellation](./device-constellation.md)

# deviceConstellation

`abstract fun deviceConstellation(): `[`DeviceConstellation`](../-device-constellation/index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/sync/src/main/java/mozilla/components/concept/sync/OAuthAccount.kt#L237)

Returns the device constellation for the current account

**Return**
Device constellation for the current account

